<?php

/**
 * Errors  
 **/

// Success including the other errors
define( 'SUCCESS', 200 );

// Not Authorized
define( 'ERROR_NOT_VERIFIED', 201 );
define( 'ERROR_NOT_APPROVED', 202 );

// Invalid  value
define( 'ERROR_INVALID_USERNAME', 100 );
define( 'ERROR_INVALID_PASSWORD', 101 );
define( 'ERROR_INVALID_IMEI', 102 );
define( 'ERROR_INVALID_VALUE', 103 );

// Request Errors 
define( 'ERROR_INVALID_REQUEST', 301 );
define( 'ERROR_REQUEST_PARAMETER_MISSING', 302 );
define( 'ERROR_INVALID_PARAMETERS', 303 );
define( 'ERROR_INVALID_ACCESS_TOKEN', 304 );
define( 'ERROR_ACCESS_TOKEN_EXPIRED', 305 );
define( 'ERROR_INVALID_OTP', 306 );
define( 'ERROR_OTP_EXPIRED', 307 );
define( 'ERROR_OTHER', 310 );

// Not Found
define( 'ERROR_METHOD_NAME_NOT_FOUND', 401 );
define( 'ERROR_ACCESS_TOKEN_NOT_FOUND', 402 );
define( 'ERROR_OTP_NOT_FOUND', 403 );
define( 'ERROR_DATA_NOT_FOUND', 405 );

// Error in system
define( 'ERROR_INSERTION_FAILURE', 501 );
define( 'ERROR_MAIL_SENDING_FAILURE', 502 );

// Error Type Message
define( 'ERROR_TYPE_MESSAGE_INVALID_REQUEST', 'Invalid Request' );
define( 'ERROR_TYPE_MESSAGE_INVALID_PARAMETERS', 'Invalid Parameters' );
define( 'ERROR_TYPE_MESSAGE_REQUEST_PARAMETER_MISSING', 'Request Parameter Missing' );
define( 'ERROR_TYPE_MESSAGE_INVALID_TOKEN', 'Invalid Token' );
define( 'ERROR_TYPE_MESSAGE_INVALID_OTP', 'Invalid Otp' );
define( 'ERROR_TYPE_MESSAGE_METHOD_NAME_NOT_FOUND', 'Invalid Method Name' );
define( 'ERROR_TYPE_MESSAGE_INVALID_VALUE', 'Invalid Value' );
define( 'ERROR_TYPE_MESSAGE_NOT_AUTHORIZED', 'Not Authorized' );
define( 'ERROR_TYPE_MESSAGE_DATA_NOT_FOUND', 'Data not found' );
define( 'ERROR_TYPE_MESSAGE_SYSTEM_FAILURE', 'System Failure' );
